com.smartgwt.client.widgets.tab.events

## Class TabDeselectedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<TabDeselectedHandler>
      - - com.smartgwt.client.widgets.tab.events.TabDeselectedEvent

- All Implemented Interfaces:
    Cancellable

      public class TabDeselectedEvent
      extends AbstractSmartEvent<TabDeselectedHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabDeselectedEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` return `false` to cancel the tab selection
    `protected void` | `dispatch(TabDeselectedHandler handler)`
    `static <S extends HasTabDeselectedHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<TabDeselectedHandler>` | `getAssociatedType()`
    `java.lang.String` | `getID()` the ID of the deselected tab
    `java.lang.String` | `getName()` the name of the deselected tab
    `Tab` | `getNewTab()` pointer to the new tab being selected
    `Tab` | `getTab()` pointer to the tab being deselected
    `java.lang.Integer` | `getTabNum()` the index of the deselected tab
    `Canvas` | `getTabPane()` the deselected tab's pane if set
    `TabSet` | `getTabSet()` the tabSet containing the tab.
    `static com.google.gwt.event.shared.GwtEvent.Type<TabDeselectedHandler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TabDeselectedEvent

          public TabDeselectedEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasTabDeselectedHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                                 com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<TabDeselectedHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(TabDeselectedHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<TabDeselectedHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<TabDeselectedHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<TabDeselectedHandler>`

    - #### cancel

          public void cancel()

      return `false` to cancel the tab selection
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getTabSet

          public TabSet getTabSet()

      the tabSet containing the tab.
      Returns:
        the tabSet containing the tab.

    - #### getTabNum

          public java.lang.Integer getTabNum()

      the index of the deselected tab
      Returns:
        the index of the deselected tab

    - #### getTabPane

          public Canvas getTabPane()

      the deselected tab's pane if set
      Returns:
        the deselected tab's pane if set

    - #### getID

          public java.lang.String getID()

      the ID of the deselected tab
      Returns:
        the ID of the deselected tab

    - #### getTab

          public Tab getTab()

      pointer to the tab being deselected
      Returns:
        pointer to the tab being deselected

    - #### getNewTab

          public Tab getNewTab()

      pointer to the new tab being selected
      Returns:
        pointer to the new tab being selected

    - #### getName

          public java.lang.String getName()

      the name of the deselected tab
      Returns:
        the name of the deselected tab